Bug 1279060 - [abrt] mate-panel: gtk_widget_get_parent(): mate-panel killed by SIGSEGV
[abrt] mate-panel: gtk_widget_get_parent(): mate-panel killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mate-panel (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0504178ab7367663945899d207c...
:
: 1329883 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 10:15 EST by Yonatan
Modified: 2016-08-13 14:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-13 14:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.88 KB, text/plain)
2015-11-07 10:15 EST, Yonatan
no flags Details
File: cgroup (177 bytes, text/plain)
2015-11-07 10:15 EST, Yonatan
no flags Details
File: core_backtrace (6.81 KB, text/plain)
2015-11-07 10:15 EST, Yonatan
no flags Details

  None (edit)
Description Yonatan 2015-11-07 10:15:18 EST
Version-Release number of selected component:
mate-panel-1.10.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        mate-panel
crash_function: gtk_widget_get_parent
executable:     /usr/bin/mate-panel
global_pid:     1908
kernel:         4.1.6-201.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_parent at gtkwidget.c:6483
 #1 mate_panel_applet_get_panel_widget at applet.c:50
 #2 mate_panel_applet_locked_change_notify at applet.c:198
 #3 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 g_settings_real_change_event at gsettings.c:386
 #8 ffi_call_SYSV at ../src/x86/sysv.S:65
 #9 ffi_call at ../src/x86/ffi.c:382
 #10 g_cclosure_marshal_generic_va at gclosure.c:1600
 #11 g_type_class_meta_marshalv at gclosure.c:1021

Potential duplicate: bug 952338
Comment 1 Yonatan 2015-11-07 10:15:31 EST
Created attachment 1090974 [details]
File: backtrace
Comment 2 Yonatan 2015-11-07 10:15:35 EST
Created attachment 1090975 [details]
File: cgroup
Comment 3 Yonatan 2015-11-07 10:15:51 EST
Created attachment 1090976 [details]
File: core_backtrace
Comment 4 Wolfgang Ulbrich 2016-04-14 06:12:29 EDT
Can you provide a valid description?
Steps to reproduce?
Did this issue occurs frequently ?
Is the problem still exists with the latest updates?
Comment 5 Damon Hill 2016-04-24 07:11:58 EDT
*** Bug 1329883 has been marked as a duplicate of this bug. ***
Comment 6 Wolfgang Ulbrich 2016-04-24 08:48:05 EDT
 Damon Hill 2016-04-24 07:11:34 EDT

Description of problem:
I was trying to move a just created launcher to the first place, where the default launchers were blocked

Version-Release number of selected component:
mate-panel-1.12.2-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        mate-panel
crash_function: gtk_widget_get_parent
executable:     /usr/bin/mate-panel
global_pid:     9080
kernel:         4.4.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_parent at gtkwidget.c:6483
 #1 mate_panel_applet_get_panel_widget at applet.c:50
 #2 mate_panel_applet_locked_change_notify at applet.c:196
 #3 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 g_settings_real_change_event at gsettings.c:386
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525
 #10 g_cclosure_marshal_generic_va at gclosure.c:1600
 #11 _g_closure_invoke_va at gclosure.c:864

stacktrace:
https://bugzilla.redhat.com/attachment.cgi?id=1150122

@ Damon Hill 
Can you please don't file out private reports and clean the report from private data before sending, because Mate upstream don't have a bugzilla account and can't read such reports.
My private time is rare and i don't want forward reports by hand.

Thank you
Comment 7 Wolfgang Ulbrich 2016-04-24 08:49:51 EDT
PS: there is a checkbox in abrt GUI which is enable by default in f23.
................what  a bad idea from abrt guys.
Comment 8 Wolfgang Ulbrich 2016-08-13 14:24:13 EDT
Sadly no answer from reporter!

Note You need to log in before you can comment on or make changes to this bug.